Subject: Re: Backup script not working properly
From: Brian Dessent <[email-masked]>
To: [email-masked]
Date: Wed, 13 Oct 2004 03:47:36 -0700

Fredrik Persson wrote:

> All works but for the last for-loop which is responsible for deleting old
> backups such that only NUMBKPS=4 of the last backups are stored.
> 
> The problem is in 'if [ ${num} -le 0 ]' and 'else num=$((${num}-1))'. It seems
> like the num-variable can't be used as an integer. Any suggestions how to fix
> this???

On Linux, /bin/sh is /bin/bash.  This is not the case on Cygwin and
other *nixs.  The "$((...))" thing is a bash feature/extension I think,
and not found in the standard Bourne shell.  Try using the expr command
instead to do math, or change the shebang to call bash explicitly.

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/